> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omneo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Read a user

> A `GET` to the `/users/{userId}` endpoint allows your application to retrieve a specific user.



## OpenAPI

````yaml get /v3/users/{user}
openapi: 3.1.0
info:
  title: Omneo
  version: 0.0.1
servers:
  - url: https://api.{tenant}.getomneo.com/api
    variables:
      tenant:
        default: example
security: []
paths:
  /v3/users/{user}:
    get:
      tags:
        - User
      summary: Read a user
      description: >-
        A `GET` to the `/users/{userId}` endpoint allows your application to
        retrieve a specific user.
      operationId: users.show
      parameters:
        - name: user
          in: path
          required: true
          description: The user ID
          schema:
            type: integer
      responses:
        '200':
          description: '`User`'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/User'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
components:
  schemas:
    User:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        email:
          type: string
        throttle:
          type:
            - integer
            - 'null'
        roles:
          type: array
          items:
            type: object
            properties:
              id:
                type: integer
              handle:
                type: string
            required:
              - id
              - handle
        permissions:
          type: array
          items:
            type: object
            properties:
              id:
                type: integer
              handle:
                type: string
            required:
              - id
              - handle
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - name
        - email
        - throttle
        - roles
        - permissions
        - created_at
        - updated_at
      title: User
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message

````